## zam-plugins 4.2%2Bds

=== plugins/ZaMaximX2/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZaMaximX2

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	ZaMaximX2Plugin.cpp

FILES_UI  = \
	ZaMaximX2Artwork.cpp \
	ZaMaximX2UI.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

TARGETS += jack
TARGETS += ladspa
TARGETS += lv2_sep
TARGETS += vst2
TARGETS += vst3
TARGETS += clap

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZamEQ2/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamEQ2

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	ZamEQ2Plugin.cpp

FILES_UI  = \
	ZamEQ2Artwork.cpp \
	ZamEQ2UI.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

TARGETS += jack
TARGETS += ladspa
TARGETS += lv2_sep
TARGETS += vst2
TARGETS += vst3
TARGETS += clap

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZamPhono/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamPhono

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	ZamPhonoPlugin.cpp

FILES_UI  = \
	ZamPhonoArtwork.cpp \
	ZamPhonoUI.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

TARGETS += jack
TARGETS += lv2_sep
TARGETS += vst2
TARGETS += vst3
TARGETS += clap

all: $(TARGETS)

# --------------------------------------------------------------

## zam-plugins 4.2+ds

=== Makefile ===
PREFIX ?= /usr/local
LIBDIR ?= lib
BINDIR ?= bin
HAVE_DGL ?= true

NAME    = zam-plugins
VERSION = $(shell cat .version)

PLUGINS=ZamComp ZamCompX2 ZaMultiComp ZamTube ZamEQ2 ZamAutoSat ZamGEQ31 ZaMultiCompX2 ZamGate ZamGateX2 ZamHeadX2 ZaMaximX2 ZamDelay ZamDynamicEQ ZamPhono ZamVerb ZamGrains

include dpf/Makefile.base.mk

# --------------------------------------------------------------

all: libs $(PLUGINS) gen

libs:
ifeq ($(HAVE_DGL),true)
	$(MAKE) -C dpf/dgl
endif

gen: $(PLUGINS) dpf/utils/lv2_ttl_generator
	@$(CURDIR)/dpf/utils/generate-ttl.sh

dpf/utils/lv2_ttl_generator:
	$(MAKE) -C dpf/utils/lv2-ttl-generator

$(PLUGINS): libs
	$(MAKE) -C plugins/$@

# --------------------------------------------------------------

install: all
	install -d $(DESTDIR)$(PREFIX)/$(LIBDIR)/ladspa \
		$(DESTDIR)$(PREFIX)/$(LIBDIR)/lv2 \
		$(DESTDIR)$(PREFIX)/$(LIBDIR)/vst \
		$(DESTDIR)$(PREFIX)/$(LIBDIR)/vst3 \
		$(DESTDIR)$(PREFIX)/$(LIBDIR)/clap \
		$(DESTDIR)$(PREFIX)/$(BINDIR)
	for plugin in $(PLUGINS); do \
		install -d $(DESTDIR)$(PREFIX)/$(LIBDIR)/lv2/"$$plugin".lv2 ; \
		install -m 644 bin/"$$plugin".lv2/* \
			$(DESTDIR)$(PREFIX)/$(LIBDIR)/lv2/"$$plugin".lv2/ ; \
		cp -r bin/"$$plugin".vst3 $(DESTDIR)$(PREFIX)/$(LIBDIR)/vst3/ ; \
	done;
	for plugin in $(PLUGINS); do \
		install -m 755 bin/"$$plugin"$(APP_EXT) $(DESTDIR)$(PREFIX)/$(BINDIR)/ ; \
	done;
	install -m 644 bin/*-ladspa$(LIB_EXT) $(DESTDIR)$(PREFIX)/$(LIBDIR)/ladspa/
	install -m 644 bin/*-vst$(LIB_EXT) $(DESTDIR)$(PREFIX)/$(LIBDIR)/vst/
	install -m 644 bin/*.clap $(DESTDIR)$(PREFIX)/$(LIBDIR)/clap/

uninstall:
	for plugin in $(PLUGINS); do \
		rm -rf $(DESTDIR)$(PREFIX)/$(LIBDIR)/lv2/"$$plugin".lv2 ; \
		rm -rf $(DESTDIR)$(PREFIX)/$(LIBDIR)/vst3/"$$plugin".vst3 ; \
		rm -f $(DESTDIR)$(PREFIX)/$(LIBDIR)/ladspa/"$$plugin"-ladspa$(LIB_EXT) ; \
		rm -f $(DESTDIR)$(PREFIX)/$(LIBDIR)/vst/"$$plugin"-vst$(LIB_EXT) ; \
		rm -f $(DESTDIR)$(PREFIX)/$(LIBDIR)/vst/"$$plugin".clap ; \
		rm -f $(DESTDIR)$(PREFIX)/$(BINDIR)/"$$plugin" ; \
	done

# --------------------------------------------------------------

clean:
	for plugin in $(PLUGINS); do \
		$(MAKE) -C plugins/"$$plugin" clean; \
	done
ifeq ($(HAVE_DGL),true)
	$(MAKE) clean -C dpf/dgl
endif
	$(MAKE) clean -C dpf/utils/lv2-ttl-generator
	rm -f lib/zita-convolver-4.0.0/*.o lib/zita-convolver-4.0.0/*.d
	rm -f plugins/ZamSFZ/libsfz/*.o plugins/ZamSFZ/libsfz/*.d

# --------------------------------------------------------------

.version: FORCE
	if test -d .git; then \
		git describe > .version; \
	fi

_dist_pre: .version FORCE
	rm -rf dist
	mkdir dist
	git clone --recursive . dist/$(NAME)-$(VERSION)
	(cd dist/$(NAME)-$(VERSION); git checkout $(VERSION))
	$(MAKE) -C dist/$(NAME)-$(VERSION) plugins .version
	rm -rf dist/$(NAME)-$(VERSION)/.git* \
		dist/$(NAME)-$(VERSION)/*/.git*

_dist_post: FORCE
	rm -rf dist

_dist_bz2: FORCE
	cd dist; tar -cvjf ../$(NAME)-$(VERSION).tar.bz2 $(NAME)-$(VERSION)

_dist_gz: FORCE
	cd dist; tar -cvzf ../$(NAME)-$(VERSION).tar.gz $(NAME)-$(VERSION)

_dist_xz: FORCE
	cd dist; tar -cvJf ../$(NAME)-$(VERSION).tar.xz $(NAME)-$(VERSION)

_dist_zip: FORCE
	cd dist; zip -r ../$(NAME)-$(VERSION).zip $(NAME)-$(VERSION)

dist_bz2: _dist_pre _dist_bz2 _dist_post
dist_gz: _dist_pre _dist_gz _dist_post
dist_xz: _dist_pre _dist_xz _dist_post
dist_zip: _dist_pre _dist_zip _dist_post
dist: dist_xz

FORCE:

=== plugins/ZaMultiComp/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZaMultiComp

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	ZaMultiCompPlugin.cpp

FILES_UI  = \
	ZaMultiCompArtwork.cpp \
	ZaMultiCompUI.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

TARGETS += jack
TARGETS += lv2_sep
TARGETS += vst2
TARGETS += vst3
TARGETS += clap

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZaMultiCompX2/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZaMultiCompX2

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	ZaMultiCompX2Plugin.cpp

FILES_UI  = \
	ZaMultiCompX2Artwork.cpp \
	ZaMultiCompX2UI.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

TARGETS += jack
TARGETS += ladspa
TARGETS += lv2_sep
TARGETS += vst2
TARGETS += vst3
TARGETS += clap

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZamAutoSat/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamAutoSat

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	ZamAutoSatPlugin.cpp

FILES_UI  = \
	ZamAutoSatArtwork.cpp \
	ZamAutoSatUI.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

TARGETS += jack
TARGETS += ladspa
TARGETS += lv2_sep
TARGETS += vst2
TARGETS += vst3
TARGETS += clap

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZamChild670/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamChild670

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	ZamChild670Plugin.cpp \
	sidechainamplifier.cpp \
	tubemodel.cpp \
	variablemuamplifier.cpp \
	wdfcircuits.cpp \
	wavechild670.cpp

FILES_UI  = \
	ZamChild670Artwork.cpp \
	ZamChild670UI.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

TARGETS += jack
TARGETS += ladspa
TARGETS += lv2_sep
TARGETS += vst2
TARGETS += vst3

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZamComp/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamComp

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	ZamCompPlugin.cpp

FILES_UI  = \
	ZamCompArtwork.cpp \
	ZamCompUI.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

TARGETS += jack
TARGETS += ladspa
TARGETS += lv2_sep
TARGETS += vst2
TARGETS += vst3
TARGETS += clap

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZamDynamicEQ/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamDynamicEQ

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	ZamDynamicEQPlugin.cpp

FILES_UI  = \
	ZamDynamicEQArtwork.cpp \
	ZamDynamicEQUI.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

TARGETS += jack
TARGETS += ladspa
TARGETS += lv2_sep
TARGETS += vst2
TARGETS += vst3
TARGETS += clap

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZamGEQ31/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamGEQ31

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	ZamGEQ31Plugin.cpp

FILES_UI  = \
	ZamGEQ31Artwork.cpp \
	ZamGEQ31UI.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

TARGETS += jack
TARGETS += ladspa
TARGETS += lv2_sep
TARGETS += vst2
TARGETS += vst3
TARGETS += clap

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZamGate/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamGate

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	ZamGatePlugin.cpp

FILES_UI  = \
	ZamGateArtwork.cpp \
	ZamGateUI.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

TARGETS += jack
TARGETS += ladspa
TARGETS += lv2_sep
TARGETS += vst2
TARGETS += vst3
TARGETS += clap

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZamGateX2/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamGateX2

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	ZamGateX2Plugin.cpp

FILES_UI  = \
	ZamGateX2Artwork.cpp \
	ZamGateX2UI.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

TARGETS += jack
TARGETS += ladspa
TARGETS += lv2_sep
TARGETS += vst2
TARGETS += vst3
TARGETS += clap

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZamGrains/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamGrains

# --------------------------------------------------------------
# Files to build

FILES_DSP = \
	ZamGrainsPlugin.cpp

FILES_UI  = \
	ZamGrainsArtwork.cpp \
	ZamGrainsUI.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

# --------------------------------------------------------------
# Enable all possible plugin types

TARGETS += jack
TARGETS += ladspa
TARGETS += lv2_sep
TARGETS += vst2
TARGETS += vst3
TARGETS += clap

all: $(TARGETS)

# --------------------------------------------------------------

=== plugins/ZamHeadX2/Makefile ===
#!/usr/bin/make -f
# Makefile for zam-plugins #
# ------------------------ #
# Created by falkTX
#

# --------------------------------------------------------------
# Project name, used for binaries

NAME = ZamHeadX2

# --------------------------------------------------------------
# Files to build

FILES_DSP += \
	convolution.cpp \
	ZamHeadX2Plugin.cpp

ifneq ($(HAVE_ZITA_CONVOLVER),true)
FILES_DSP += \
	zita-convolver.cpp
endif

FILES_UI  = \
	ZamHeadX2Artwork.cpp \
	ZamHeadX2UI.cpp

# --------------------------------------------------------------
# Do some magic

include ../../dpf/Makefile.plugins.mk

ifeq ($(HAVE_ZITA_CONVOLVER),true)
BASE_FLAGS += -DHAVE_ZITA_CONVOLVER
LINK_FLAGS += -lzita-convolver
else
include ../zita-convolver.mk
endif

# --------------------------------------------------------------
# Extra flags

ifeq ($(LINUX),true)
BASE_FLAGS += $(shell pkg-config --cflags samplerate fftw3f)
LINK_FLAGS += $(shell pkg-config --libs fftw3f samplerate)
else
BASE_FLAGS += $(shell pkg-config --static --cflags samplerate fftw3f)
LINK_FLAGS += $(shell pkg-config --static --libs fftw3f samplerate)
endif

LINK_FLAGS += -lpthread

# --------------------------------------------------------------

TARGETS += jack
TARGETS += lv2_sep
TARGETS += vst2
TARGETS += vst3
TARGETS += clap

all: $(TARGETS)

# --------------------------------------------------------------

=== debian/changelog ===
zam-plugins (4.2+ds-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 20:03:48 +0200

zam-plugins (4.2+ds-1) unstable; urgency=medium

  * New upstream version 4.2+ds
  * Bump d/copyright years

 -- Dennis Braun <snd@debian.org>  Tue, 07 Nov 2023 19:06:33 +0100

zam-plugins (4.1+ds-3) unstable; urgency=medium

  * Clean files from successful build (Closes: #1048911)

 -- Dennis Braun <snd@debian.org>  Sun, 24 Sep 2023 15:14:21 +0200

zam-plugins (4.1+ds-2) unstable; urgency=medium

  [ Olivier Humbert ]
  * d/control: adds Provides + adds mention to VST3 and CLAP versions
    in the description field
  * d/copyright: adds myself

  [ Dennis Braun ]
  * Build-Depends: libgl1-mesa-dev => libgl-dev

 -- Dennis Braun <snd@debian.org>  Fri, 28 Jul 2023 10:34:27 +0200

=== debian/control ===
Source: zam-plugins
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>,
 Adrian Knoth <adi@drcomp.erfurt.thur.de>,
 Dennis Braun <snd@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dpf-source:native,
 ladspa-sdk,
 libgl-dev,
 libjack-dev | libjack-jackd2-dev,
 liblo-dev,
 libsamplerate0-dev,
 libzita-convolver-dev (>= 4.0.0),
 pkg-config,
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/multimedia-team/zam-plugins.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/zam-plugins
Homepage: https://github.com/zamaudio/zam-plugins
Rules-Requires-Root: no

Package: zam-plugins
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 lv2-plugin,
 clap-plugin,
 vst3-plugin,
 vst-plugin,
 ladspa-plugin,
Description: Collection of LV2, CLAP, VST3, LADSPA, LINUX-VST and JACK plugins
 Plugins for high quality audio processing.
 .
 The purpose of these plugins is to provide high quality DSP without
 using an excessive amount of CPU.
 .
 There currently is no official documentation on how to use these plugins,
 but anyone who is familiar with outboard gear should be able to work it out.
  The default settings and almost every slider is calibrated to standard ranges.
 .
 Package contain these plugins:
  * ZamAutoSat
    Automatic saturator (mono)
  * ZaMaximX2
    Lightweight maximiser/limiter (stereo)
  * ZamComp
    Dynamic range compressor (mono)
  * ZamCompX2
    Dynamic range compressor (stereo)
  * ZamDelay
    Basic delay plugin (mono)
  * ZamEQ2
    Parametric equaliser (mono)
  * ZamGate
    Gate plugin (mono)
  * ZamGateX2
    Gate plugin (stereo)
  * ZamGEQ31
    31 band graphic equaliser (mono)
  * ZamHeadX2
    Acoustic HRTF stereo widener (stereo)
  * ZamTube
    Triode tube amp simulator (mono)
  * ZaMultiComp
    Multiband compressor (mono)
  * ZaMultiCompX2
    Multiband compressor (stereo)
  * ZamDynamicEQ
    Dynamic equaliser
  * ZamPhono
    A collection filters for restoring vinyl records.
  * ZamVerb
    Stereo reverb plugin
  * ZamGrains
    Looper and rhythm slicer

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow optimize=+lto
export HAVE_ZITA_CONVOLVER = true
export SKIP_STRIPPING = true

ifneq (${DEB_BUILD_ARCH},${DEB_HOST_ARCH})
	export CROSS_COMPILING = true
endif
noopt = $(if $(filter amd64,$(DEB_HOST_ARCH)),NOOPT=false,NOOPT=true)

%:
	dh $@

execute_before_dh_auto_build:
	@echo "blhc: ignore-line-regexp: ^Compiling .*"

override_dh_auto_build:
	dh_auto_build -- \
		CFLAGS="$(CPPFLAGS) $(CFLAGS)" \
		CXXFLAGS="$(CPPFLAGS) $(CXXFLAGS)" \
		PREFIX=/usr \
		VERBOSE=$(if $(filter terse,$(DEB_BUILD_OPTIONS)),false,true) \
		$(noopt)

execute_before_dh_auto_configure:
	cp -fr /usr/share/dpf/ .

override_dh_auto_install:
	$(MAKE) install \
		DESTDIR=$(CURDIR)/debian/zam-plugins \
		PREFIX=/usr
	chmod 644 $(CURDIR)/debian/zam-plugins/usr/lib/lv2/*/*.ttl

override_dh_auto_clean:
	dh_clean bin/ build/ dpf/

=== debian/watch ===
version=4
opts=dversionmangle=s/@DEB_EXT@//,repacksuffix=+ds \
  https://github.com/zamaudio/zam-plugins/tags .*/v?(\d\S*)\.tar\.gz
